# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gitlab_cancelbot/gem_version.rb'

Gem::Specification.new do |spec|
  spec.name          = 'danger-gitlab_cancelbot'
  spec.version       = GitlabReviewbot::VERSION
  spec.authors       = ['Fabio Gallonetto']
  spec.email         = ['fabio.gallonetto@curve.com']
  spec.description   = %q{A Danger plugin that cancels previous runs of the same pipeline on Gitlab }
  spec.summary       = %q{ This plugin helps to keep builds under control by cancelling obsolete builds on a merge request branch when a new commit is pushed. }
  spec.homepage      = 'https://github.com/curve-technology/danger-gitlab_cancelbot'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'danger-plugin-api', '~> 1.0'
  spec.add_runtime_dependency 'danger-gitlab'

  # General ruby development
  spec.add_development_dependency 'bundler', '~> 2.1'
  spec.add_development_dependency 'rake'

  # Testing support
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency "rspec_junit_formatter"

  # Linting code and docs
  spec.add_development_dependency "rubocop"
  spec.add_development_dependency "yard"

  # Makes testing easy via `bundle exec guard`
  spec.add_development_dependency 'guard', '~> 2.14'
  spec.add_development_dependency 'guard-rspec', '~> 4.7'

  # This gives you the chance to run a REPL inside your tests
  # via:
  #
  #    require 'pry'
  #    binding.pry
  #
  # This will stop test execution and let you inspect the results
  spec.add_development_dependency 'pry'
end
